"use strict";
/* eslint-disable react/function-component-definition */
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Typography = void 0;
var react_1 = __importDefault(require("react"));
var native_1 = require("styled-components/native");
var flat_list_1 = require("../flat-list");
var text_1 = require("../text");
var styled_1 = require("./styled");
var renderTypographyItems = function (item, key, theme) { return (react_1.default.createElement(text_1.Text, { key: item }, "".concat(item, " - ").concat(theme.typography[key][item]))); };
var renderBreakpointItems = function (item, theme) { return (react_1.default.createElement(text_1.Text, { key: item }, "".concat(item, " - ").concat(theme.breakpoints[item]))); };
var renderMiscItems = function (item, theme) { return (react_1.default.createElement(text_1.Text, { key: item }, "".concat(item, " - ").concat(theme.misc[item]))); };
var renderRadiusItems = function (item, theme) { return (react_1.default.createElement(text_1.Text, { key: item }, "".concat(item, " - ").concat(theme.radius[item]))); };
var renderShadowItems = function (item, theme) { return (react_1.default.createElement(text_1.Text, { key: item }, "".concat(item, " - ").concat(theme.shadow[item]))); };
var Typography = function () {
    // theme
    var theme = (0, native_1.useTheme)();
    return (react_1.default.createElement(styled_1.TypographyWrapper, null,
        react_1.default.createElement(styled_1.TypographyItemWrapper, null,
            Object.keys(theme.typography).map(function (key) {
                if (key === 'fontFamily') {
                    return null;
                }
                return (react_1.default.createElement(styled_1.TypographyTextWrapper, { key: key },
                    react_1.default.createElement(flat_list_1.FlatList, { data: Object.keys(theme.typography[key]), keyExtractor: function (keyy) { return keyy; }, renderItem: function (_a) {
                            var item = _a.item;
                            return renderTypographyItems(item, key, theme);
                        }, scrollEnabled: false }),
                    react_1.default.createElement(text_1.Text, __assign({}, theme.typography[key]), key)));
            }),
            react_1.default.createElement(styled_1.TypographyTextWrapper, null,
                react_1.default.createElement(flat_list_1.FlatList, { data: Object.keys(theme.breakpoints), keyExtractor: function (key) { return key; }, renderItem: function (_a) {
                        var item = _a.item;
                        return renderBreakpointItems(item, theme);
                    }, scrollEnabled: false }),
                react_1.default.createElement(text_1.Text, __assign({}, theme.typography.p5), "Breakpoints")),
            react_1.default.createElement(styled_1.TypographyTextWrapper, null,
                react_1.default.createElement(flat_list_1.FlatList, { data: Object.keys(theme.misc), keyExtractor: function (key) { return key; }, renderItem: function (_a) {
                        var item = _a.item;
                        return renderMiscItems(item, theme);
                    }, scrollEnabled: false }),
                react_1.default.createElement(text_1.Text, __assign({}, theme.typography.p5), "Misc.")),
            react_1.default.createElement(styled_1.TypographyTextWrapper, null,
                react_1.default.createElement(flat_list_1.FlatList, { data: Object.keys(theme.radius), keyExtractor: function (key) { return key; }, renderItem: function (_a) {
                        var item = _a.item;
                        return renderRadiusItems(item, theme);
                    }, scrollEnabled: false }),
                react_1.default.createElement(text_1.Text, __assign({}, theme.typography.p5), "Radius")),
            react_1.default.createElement(styled_1.TypographyTextWrapper, null,
                react_1.default.createElement(flat_list_1.FlatList, { data: Object.keys(theme.shadow), keyExtractor: function (key) { return key; }, renderItem: function (_a) {
                        var item = _a.item;
                        return renderShadowItems(item, theme);
                    }, scrollEnabled: false }),
                react_1.default.createElement(text_1.Text, __assign({}, theme.typography.p5), "Shadow")))));
};
exports.Typography = Typography;
